> For the complete documentation index, see [llms.txt](https://docs.streamavatars.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/global-functions/getavatar.md).

# getAvatar

{% hint style="warning" %}
An avatar is not the same as a User.

the Avatar class contains data relevant towards a specific avatar, such as available gear items and color palettes that can be equipped.
{% endhint %}

```lua
return function()
    local targetAvatar = getAvatar('block_man');
    if targetAvatar == nil then
        log('target avatar could not be found!')
    else
        log (targetAvatar.name);
        for (i,gear in pairs(targetAvatar.Gear()))
            log(gear); --prints the gear sets that are available to the avatar
        end
    end
end
```

{% content-ref url="/pages/8FVywZVtLYorClaiQRKU" %}
[Avatar](/lua-scripting-api/api-reference-and-tips/classes/avatar.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/global-functions/getavatar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
